Bug 113209 - [Qt] docs: Fix module name format
Summary: [Qt] docs: Fix module name format
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-25 08:23 PDT by Sze Howe Koh
Modified: 2013-04-05 03:08 PDT (History)
10 users (show)

See Also:


Attachments
Patch (33.40 KB, patch)
2013-03-27 05:06 PDT, Sze Howe Koh
buildbot: commit-queue-
Details | Formatted Diff | Diff
Patch 2 -- Reverted Jocelyn's lines (28.18 KB, patch)
2013-03-30 07:26 PDT, Sze Howe Koh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sze Howe Koh 2013-03-25 08:23:25 PDT
[Qt] docs: Fix module name format
Comment 1 Sze Howe Koh 2013-03-27 05:06:37 PDT
Created attachment 195281 [details]
Patch
Comment 2 Sze Howe Koh 2013-03-27 05:17:26 PDT
This is basically https://codereview.qt-project.org/#change,45909 minus the changes to code (non-QDoc) comments.
Comment 3 Build Bot 2013-03-27 06:35:07 PDT
Comment on attachment 195281 [details]
Patch

Attachment 195281 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17289581
Comment 4 Jocelyn Turcotte 2013-03-27 07:00:10 PDT
Comment on attachment 195281 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=195281&action=review

I think you can ignore the EWS error, this patch can't be related to the failure.

> Source/WebKit/qt/declarative/experimental/plugin.cpp:52
> -        qWarning("\nWARNING: This project is using the experimental QML API extensions for QtWebKit and is therefore tied to a specific QtWebKit release.\n"
> +        qWarning("\nWARNING: This project is using the experimental QML API extensions for Qt WebKit and is therefore tied to a specific Qt WebKit release.\n"

I think this is not necessary, let's just fix the doc.
Everywhere else in the code, wiki and internet QtWebKit have been refered as QtWebKit without a space, it has been a module since the beginning unlike the rest of Qt.

> Source/WebKit/qt/examples/platformplugin/README:12
> -that will provide combo boxes popups to QtWebKit.
> +that will provide combo boxes popups to Qt WebKit.
>  
> -QtWebKit will look for the plugins automatically so there is no need to make any other configuration to
> +Qt WebKit will look for the plugins automatically so there is no need to make any other configuration to
>  put the plugin into use. To stop using the plugin just remove the directory $$[QT_INSTALL_PLUGINS]/webkit.
>  
>  A copy of qwebkitplatformplugin.h is provided with the example, as platform plugins should not depend
> -on the precense of QtWebKit to build.
> +on the precense of Qt WebKit to build.
>  
> -This plugin can provide popups for <select multiple> elements but to use this feature QtWebKit must be
> +This plugin can provide popups for <select multiple> elements but to use this feature Qt WebKit must be

ditto

> Tools/Scripts/webkitpy/layout_tests/port/qt.py:29
> -"""QtWebKit implementation of the Port interface."""
> +"""Qt WebKit implementation of the Port interface."""

ditto

> Tools/qmake/README:29
> -in Qt Creator, and for building QtWebKit. Normally you will build
> +in Qt Creator, and for building Qt WebKit. Normally you will build

ditto

> Tools/qmake/mkspecs/features/configure.prf:114
> -        addReasonForSkippingBuild("ICU is required. To build QtWebKit with Qt 5 you need to build Qt 5 with libICU support. Check for ICU support being mentioned in qtbase/config.summary.")
> +        addReasonForSkippingBuild("ICU is required. To build Qt WebKit with Qt 5 you need to build Qt 5 with libICU support. Check for ICU support being mentioned in qtbase/config.summary.")

ditto
Comment 5 Sze Howe Koh 2013-03-30 07:26:49 PDT
Created attachment 195856 [details]
Patch 2 -- Reverted Jocelyn's lines

Patch now only applies to QDoc-generated documentation
Comment 6 Jocelyn Turcotte 2013-04-04 07:41:45 PDT
Comment on attachment 195856 [details]
Patch 2 -- Reverted Jocelyn's lines

Thanks, please set the cq flag to '?' on the attachment as well (click "details") if you would like the commit queue to land your patch.
Comment 7 WebKit Review Bot 2013-04-04 09:16:59 PDT
Comment on attachment 195856 [details]
Patch 2 -- Reverted Jocelyn's lines

Clearing flags on attachment: 195856

Committed r147637: <http://trac.webkit.org/changeset/147637>
Comment 8 WebKit Review Bot 2013-04-04 09:17:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Jocelyn Turcotte 2013-04-05 03:08:46 PDT
Cherry-picking for 5.1 at https://codereview.qt-project.org/53014